Error "License is not valid for version x.x.x.x of Nintex Workflow"

Document created by butlerj Support on Nov 29, 2018
Version 1Show Document
  • View in full screen mode
ISSUE
When installing Nintex Workflow 2010 or 2013, the following error might occur, even though a valid license is installed and this is simply doing an update on current version: 

Your license is not valid for version X.X.X.X of Nintex Workflow 201X. Please contact admin@nintex.com to obtain a new license
ERROR CODE
RESOLUTION
Bypass the license check in the installation process by following the steps below. A valid license is still required to run the workflow designer after installation. 
  1. Run the Nintex Workflow installer.
  2. On the "Do you want to add the solution to SharePoint now?" page, select "No, I wish to export the solution and deploy it manually later."
  3. Save the exported files.
  4. Open that folder containing the exported files and navigate to the "Workflow" folder. 
  5. Right-click on "CheckLicense.ps1", select Properties and deselect "Read Only". 
  6. Open this file using PowerShell ISE and change "$isValidForUpgrade=$false" to "$isValidForUpgrade=$true" then save the file.
  7. Run the Nintex Workflow upgrade again with the "install.ps1" file using PowerShell with administrative privileges.
ADDITIONAL INFORMATION
RELATED LINKS

Attachments

    Outcomes